iscsi_node_dump_config(3)

NAME
iscsi_node_dump_config - Dump all configurations of specified iSCSI node.

SYNOPSIS
const char * iscsi_node_dump_config (struct iscsi_node *node, bool show_secret);

ARGUMENTS

node
    Pointer of 'struct iscsi_node'. If this pointer is NULL, your program will be terminated by assert.

show_secret
    Whether show CHAP secret. If set as false, will show password as "********"

DESCRIPTION

Dump all configurations of specified iSCSI node. Will skip empty configuration.

RETURN
const char *. Need to free this memory by free.